变量值 = 取NPC变量(4);


function Main()

if(变量值 == 888) then
提示("   嗯?陌生人看你急匆匆的样子你有什么事情吗?\n" );
选择项( "跟诸葛亮说卫兵的委托.@述说委托","我先买点东西@物品买卖");
else
提示("    我就是传说中的诸葛亮! 你点我干什么!\n 如果你有【魔法头盔】并送给我的话,我就随机给你金币!\n" );
选择项("好吧!!我要赞美你!!@赞美","我先看看你卖的东西@物品买卖","去死!@exit");
end;

end;



function 赞美()

if(检查物品("魔法头盔",1) == true ) then
提示( "    不错!好了这200个金币就送给你吧\n");
角色特效(2,2,0,ARGB(255,255,204,0));
增加金币(200);
屏幕信息("[奖励]:金币 + 200",-256);
减少物品("魔法头盔",1);
选择项("很好!很强大!@exit");
else
提示( "    你没有【魔法头盔】,我不能给你金币!\n");
选择项( "再见!@exit" );
end;

end;




function 述说委托()

提示("     哦!原来是卫兵叫你来的.那好吧!请把这个转交给他\n记住一定要亲手交到他的手上!");
选择项("好的!我这就去!@拿爪子","我还有事!@exit");

end;


function 拿爪子()

if(取物品数()>35) then
提示( " 你的包裹已经满了!有位置的时候再来找我吧!\n");
选择项( "好的!@退出" );
else
增加物品("恶魔爪子[任务]",1);
置任务变量(1,1);
NPC任务更新(3,2);
置NPC变量(3,666);
置NPC变量(4,0);
NPC任务更新(4,3);
exit();
end;

end;




function 物品买卖()
重置商店();
增加商店物品("锈剑",1);
增加商店物品("新兵铠",1);
增加商店物品("传说项链",1);
增加商店物品("玄思指环",1);
增加商店物品("诸葛头盔",1);
增加商店物品("粗布护腕",1);
增加商店物品("镶金皮靴",1);
增加商店物品("新兵短裤",1);
增加商店物品("飘羽披风",1);
增加商店物品("神秘法石",1);
增加商店物品("圆木盾",1);
增加商店物品("狸猫耳朵",1);
增加商店物品("魔法头盔",1);

exit();--关闭对话窗口
打开商店();
end;



---------------------------------------------------------
-- 脚本入口
---------------------------------------------------------
Main();










 

